Bug 741388 - aeolus-configure build from src requires rubygem-rspec
Summary: aeolus-configure build from src requires rubygem-rspec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: chris alfonso
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 17:53 UTC by wes hayutin
Modified: 2016-02-01 02:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 20:39:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0586 normal SHIPPED_LIVE new packages: aeolus-configure 2012-05-15 22:31:34 UTC

Description wes hayutin 2011-09-26 17:53:03 UTC
Description of problem:

aeolus-configure build from src requires rubygem-rspec

[root@hp-xw4600-01 configure]# rake rpms --trace
rake aborted!
no such file to load -- spec/rake/spectask
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/root/configure/Rakefile:21
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load_rakefile'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:495:in `raw_load_rakefile'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:78:in `load_rakefile'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:77:in `load_rakefile'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:61:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
[root@hp-xw4600-01 configure]# hostname
hp-xw4600-01.rhts.eng.bos.redhat.com

Comment 1 wes hayutin 2011-09-26 17:54:13 UTC
[root@hp-xw4600-01 configure]# git show
commit ff33f9b54967490ddd02464b8e147b39d4dfeaa3

Comment 2 chris alfonso 2011-09-26 19:09:34 UTC
commit 30680735d070c971070c412eaf91d96578f40daa

Updated the README make sure aeolus-conductor-devel is installed, which will provide the rubygem-rspec package

Comment 3 wes hayutin 2011-09-28 16:41:46 UTC
making sure all the bugs are at the right version for future queries

Comment 5 Steve Linabery 2012-01-10 19:24:13 UTC
30680735d070c971070c412eaf91d96578f40daa is in aeolus-configure-2.5.0-2

Comment 7 errata-xmlrpc 2012-05-15 20:39:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0586.html


Note You need to log in before you can comment on or make changes to this bug.